Summary:        Text/line based ICQ client with many features
Name:           climm
Version:        0.6.2
Release:        3%{?dist}
Source:         http://www.climm.org/source/%{name}-%{version}.tgz
Patch1:		climm-toofast.patch
URL:            http://www.climm.org/
Group:          Applications/Internet
License:        GPLv2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Provides:      micq = %{version}-%{release}
Obsoletes:     micq < 0.6-1
BuildRequires: gnutls-devel
BuildRequires: tcl-devel
BuildRequires: libotr-devel
BuildRequires: enca

%description
climm is a portable, small, yet powerful console based ICQ client. It
supports password changing, auto-away, creation of new accounts, searching,
file transfer, acknowledged messages, SMS, client identification, logging,
scripting, transcoding, multi-UIN usage and other features that makes it
a very complete yet simple internationalized client supporting the current
ICQ v8 protocol.
It now also supports the OTR encrypted messages.

It has leading support for (ICQ2002+/ICQ Lite/ICQ2go) unicode encoded
messages unreached by other ICQ clones.

A lot of other ICQ clients are based in spirit on climm, nevertheless
climm is still _the_ console based ICQ client.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

%build
%configure --disable-dependency-tracking --enable-autopackage
make %{?_smp_mflags}
# convert documentation to UTF-8, when possible
# es, fr are 7bit, sr is already UTF8
enconv -L russian -x UTF-8 doc/ru/*
enconv -L slovak -x UTF-8 doc/sk/*
enconv -L ukrainian -x UTF-8 doc/uk/*
for i in doc/de/* doc/pt_BR/* doc/it/*; do
  iconv -f iso8859-1 -t UTF-8 $i > $i.tmp
  mv -f $i.tmp $i
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS AUTHORS FAQ README TODO COPYING COPYING-GPLv2
%doc doc/README.i18n doc/README.logformat doc/README.ssl doc/example-climm-event-script
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(it) %{_mandir}/it/man?/*
%lang(pt_BR) %{_mandir}/pt_BR/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(sk) %{_mandir}/sk/man?/*
%lang(sr) %{_mandir}/sr/man?/*
%lang(uk) %{_mandir}/uk/man?/*


%changelog
* Fri Jun 20 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.2-3
- Add patch to prevent "typing too fast" messages.

* Mon Feb 25 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.2-2
- Rebuild with gloox

* Mon Feb 25 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.2-1
- Update upstream

* Mon Oct 22 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-1
- Update to upstream
- Removed glibc patch (fix included upstream)

* Mon Sep 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6-2
- updated description before gloox will be a part of Fedora

* Mon Sep 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6-1
- package renamed to climm
- glibc-open patch updated for new name
- added obsolete for micq

* Thu Sep 06 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-4
- using iconv instead of convmv

* Wed Sep 05 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-3
- added forgotten enca to BuildRequires
- updated description (removed author)
- install keeps file tempstamps

* Wed Sep 05 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-2
- changelog section moved to end of spec file
- compilation condition removed
- paralel compilation support added
- libotr-devel added to BuildRequires to build package on f8 too
- compilation flags updated (-O4 removed)
- man files converted to UTF-8
- added lang macros for man pages
- EVR added to changelog entries

* Sun Aug 26 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.5.4.2-1
- rpmlint cleanups

* Wed Apr 18 2007 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.3

* Mon Nov 06 2006 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.2

* Sun Jan 16 2006 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.1

* Sun Jun 05 2005 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.0.4

* Sun Apr 27 2005 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.0.3

* Sun Apr 24 2005 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.0.2

* Sun Feb 17 2005 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5.0.1

* Fri Feb 12 2005 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.5

* Sun Dec  5 2004 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.4.99.9

* Sat Jan 17 2004 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.4.11

* Mon Oct  6 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream bug fix release 0.4.10.5

* Mon Sep 22 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream bug fix release 0.4.10.4
- fixes remote DoS

* Mon May 13 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream bug fix release 0.4.10.3

* Tue Feb 27 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream bug fix release 0.4.10.2

* Tue Jan 24 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream bug fix release 0.4.10.1

* Tue Jan 07 2003 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.4.10

* Tue Oct 03 2002 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.4.9.4

* Tue Aug 26 2002 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release 0.4.9.3

* Tue Aug 08 2002 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- new upstream release

* Tue Jun 11 2002 Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
- first RPM
